CREATE VIEW V_ANSWERCOUNT as
  select
    x.ENQUETE_SEQNO as ENQUETE_SEQNO,
    x.Q_SEQNO as Q_SEQNO,
    CONTENTS,
    x.UPD_DATE  as UPD_DATE,
    x.UPD_TIME  as UPD_TIME,
    x.UPD_PGM   as UPD_PGM,
    x.UPD_USER  as UPD_USER,
    x.DEL_FLG   as DEL_FLG,
    ANS
  from M_QUESTION x
       left join
       ( select ENQUETE_SEQNO, Q_SEQNO, COUNT(*) as ANS
           from M_ANSWER
           group by ENQUETE_SEQNO, Q_SEQNO) y
         on x.ENQUETE_SEQNO = y.ENQUETE_SEQNO and x.Q_SEQNO = y.Q_SEQNO
  order by ENQUETE_SEQNO DESC, Q_SEQNO
