CREATE VIEW V_COMMUNICATION_SEARCH as
  select
		SEQNO,
		DAY_FROM,
		DAY_TO,
		GENRE,
    ENTRY_NAME,
		CONTENTS,
		CHECK_FLG,
		MANAGER,
		CONTENTS || ' ' || RET_DETAIL as RETVAL,
		x.UPD_DATE  as UPD_DATE,
		x.UPD_TIME  as UPD_TIME,
		x.UPD_PGM   as UPD_PGM,
		x.UPD_USER  as UPD_USER,
		x.DEL_FLG   as DEL_FLG,
		GROUP_ID,
		CHILD_FLG
	from M_COMMUNICATION x
	     left join M_RESTRICTION z on z.CATEGORY = 'R' AND x.SEQNO = z.KEY_SEQNO
	order by UPD_DATE DESC, UPD_TIME DESC, SEQNO
