<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  添付ファイル一覧画面(AppendList.jsp)
 *
 * version:      0.1, 2011.03.15 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="./env.jsp" %>

<html>
<HEAD>
  <META HTTP-EQUIV="Content-Type" CONTENT="text/html;CHARSET=utf-8">
  <META NAME="Author" Content="Hamanaka">
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">
  <TITLE>Apend File List</TITLE>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:700px;dialogHeight:180px";
    var C_DIALOG_OPTS = "status:false;dialogWidth:50px;dialogHeight:30px";
    var isClick = false;
    function down(flnm,entity) {
      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=append&action=download";
      url += "&fileName=";
      url += flnm;
      url += "&entityPath=";
      url += entity;
      document.fraFile.location.href = url;
      isClick = false;
    }

    function add() {
      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=append&action=fileAddIni";
      url += "&category=";
      url += document.mainForm.category.value;
      url += "&keySeq=";
      url += document.mainForm.keySeq.value;
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
        document.mainForm.pageAction.value = "get";
        document.mainForm.submit();
      }
      isClick = false;
    }

    function mod(kbn, key, seq, cmt, fnm) {
      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=append&action=commentModIni";
      url += "&category=";
      url += kbn;
      url += "&keySeq=";
      url += key;
      url += "&seqNo=";
      url += seq;
      url += "&comment=";
      url += encodeURI(cmt);
      var argObj = new Object();
      argObj.comment = cmt;
      argObj.upfile  = fnm;
      retVal = showModalDialog(url, argObj, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
        document.mainForm.pageAction.value = "get";
        document.mainForm.submit();
      }
      isClick = false;
    }

    function del(kbn, key, seq, flnm) {
      if(isClick == true){
        return;
      }
      if (!confirm(flnm + "を削除します。\n  よろしいですか？")) return false;
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=append&action=fileDelete";
      url += "&category=";
      url += kbn;
      url += "&keySeq=";
      url += key;
      url += "&seqNo=";
      url += seq;
      retVal = showModalDialog(url, null, C_DIALOG_OPTS);
      if(typeof(retVal) != "undefined"){
        document.mainForm.pageAction.value = "get";
        document.mainForm.submit();
      }
      isClick = false;
    }
  </script>
</HEAD>
<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body>
<FORM name="mainForm" target="AppendFileList" ACTION="<%= ActionVal %>" METHOD="POST" ENCTYPE="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="append" act="list" pageact="get" />

  <htl:hidden item="category"/>
  <htl:hidden item="keySeq"/>
  <htl:hidden item="managerFlg"/>
  <htl:hidden item="updateFlg"/>

  <%
    String upu = MessageUtil.getItem(commonMessage, "updateFlg", false);
    String mgr = MessageUtil.getItem(commonMessage, "managerFlg", false);
  %>
  <%-- タイトル --%>
  <htl:rectPre>
  <table width="100%" border="0" cellpadding="3" cellspacing="0">
    <tr>
      <td><div class="pt">添付ファイル一覧</div></td>
      <% if ("1".equals(mgr)) { %>
      <td nowrap width="400px" align="center">
        <button name="addfile" onclick="add(); return false;"><font size="-1">追加</font></button>
      </td>
      <% } %>
    </tr>
  </table>
  <font color="red"><b><%= message[0] %></b></font>
  </htl:rectPre>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <%
    String dspdel = "dmy";
    String dspmod = "dmy";
    if ("1".equals(mgr))  {
      dspdel = "#削除";
      dspmod = "#更新";
    }
  %>
  <table align="center" class="ViewTable"  width="100%" border="0" cellpadding="1" cellspacing="1" >
    <htl:listItems fld0="dispFile" fld1="comment" fld2="fileSize" fld3="category"
      fld4="keySeq" fld5="seqNo" fld6="entityPth" fld7="<%= dspmod %>" fld8="<%= dspdel %>">
      <tr>
        <td width="200px" align="left">${fld0} (${fld2})</td>
        <td noWrap width="8px" align="center">:</td>
        <td align="left">${fld1}</td>
        <td nowrap width="10px" align="center"><a href="#" onclick="down('${fld0}','${fld6}');return false;">
          <font size="-1">取得</font></a></td>
        <td nowrap width="10px" align="center"><a href="#" onclick="mod('${fld3}','${fld4}','${fld5}','${fld1}','${fld0}');return false;">
          <font size="-1">${fld7}</font></a></td>
        <td nowrap width="10px" align="center"><a href="#" onclick="del('${fld3}','${fld4}','${fld5}','${fld0}');return false;">
          <font size="-1">${fld8}</font></a></td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>
</FORM>
<iframe name="fraFile" src="<%= BASE_DIR %>empty.html" frameborder="0" width="1" height="1"></iframe>
</body>

</HTML>