<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  連絡通知詳細表示用ＪＳＰ(CommunicationDetail.jsp)
 *
 * version:      0.1, 2011.03.15 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.hamaf.hikyakucms.sample.sns.ui.CommunicationDetail" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
  <title>Communication Detail display</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>AjaxUtil.js"></script>
  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:650px;dialogHeight:500px";
    function back() {
      if(isClick == true){
        return;
      }
      isClick = true;
      if (document.mainForm.newAdd.value == "1") {
        document.mainForm.pageAction.value = "get";
      }
      document.mainForm.submit();
    }
    function update() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.action.value = "modIni";
      document.mainForm.submit();
    }
    function registFoot() {
      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=footprints&action=add";
      url += "&category=";
      url += document.mainForm.docKbn.value;
      url += "&seqNo=";
      url += document.mainForm.seqNo.value;

      var ajaxUtil = new AjaxUtil();
      ajaxUtil.post(url, "", document.getElementById("footprints"), false);
      isClick = false;
    }
    function listFoot(kbn) {
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=footprints&action=list";
      url += "&docKbn=";
      url += document.mainForm.docKbn.value;
      url += "&keySeq=";
      url += document.mainForm.seqNo.value;
      url += "&<%= CommunicationDetail.MSG_GID %>=";
      url += document.mainForm.<%= CommunicationDetail.MSG_GID %>.value;
      url += "&checkKbn=";
      url += kbn;
      url += "&orgprc=inidisp";
      url += "&orgact=commdtl";
      url += "&orgkey=seqNo=";
      url += document.mainForm.seqNo.value;

      msg  = "連絡【";
      msg += "<%= MessageUtil.getItem(commonMessage, "contents", false) %>";
      msg += "】を確認してください";
      var argObj = new Object();
      argObj.contents = msg;
      retVal = showModalDialog(url, argObj, C_DIALOG_OPT);
    }
  </script>
</head>

<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="communication" act="list" pageact="same" />

  <htl:hidden item="seqNo"/>
  <htl:hidden item="docKbn"/>
  <htl:hidden item="<%= CommunicationDetail.MSG_GID %>"/>

  <htl:hidden item="newAdd"/>

  <input type="hidden" name="ract" value="detail"/>

  <%
    String clr = MessageUtil.getItem(commonMessage, "color", false);
    String fp = MessageUtil.getItem(commonMessage, "footprints", false);
    String upu = MessageUtil.getItem(commonMessage, "updateFlg", false);
    String mgr = MessageUtil.getItem(commonMessage, "managerFlg", false);
  %>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr><td colspan="4" class="MainTitle"><b>連絡情報の詳細</b></td></tr>
    <tr><td colspan="4" id="spaceline"></td></tr>
    <tr class="button">
      <td id="space"></td>
      <%
        if ("1".equals(upu)) {
      %>
      <td align="center"><a href="#" onclick="update(); return false;">${hfn:getMsg("btn.update")}</a></td>
      <td id="spacer"></td>
      <% } %>
      <td align="center"><a href="#" onclick="back(); return false;">${hfn:getMsg("btn.close")}</a></td>
    </tr>
  </table>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>

  <br>
  <div id="booth" class="input">
    <div id="waku">
    <table width="100%" border="0" cellspacing="1" bgcolor="#FFFFFF">
     <tr>
       <td class="titleDt" nowrap width="15%">登録者</td>
       <td class="Rect"><htl:dispitem item="entryName"/></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">掲載終了日</td>
       <td class="Rect"><htl:dispitem item="dayTo"/></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">種別</td>
       <td class="Rect"><htl:dispitem item="generName"/></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">タイトル</td>
       <td class="Rect"><font color="<%= clr %>"><htl:dispitem item="contents"/></font></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">内容</td>
       <td class="Rect"><htl:dispitem item="detail" nocnv="yes"/></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">確認</td>
       <td class="Rect"><span id="footprints">
       <% if ("1".equals(mgr)) { %>
          <button name="regfoot" onclick="listFoot('check'); return false;"><font size="-1">確認済一覧</font></button>
          &nbsp;&nbsp;&nbsp;
          <button name="regfoot" onclick="listFoot('nocheck'); return false;"><font size="-1">未確認者一覧</font></button>
       <% } else {
           if ("1".equals(fp)) { %>
          確認済み
       <% } else { %>
          <button name="regfoot" onclick="registFoot(); return false;"><font size="-1">確認登録</font></button>
       <% }} %>
        </span>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">管理者</td>
       <td class="Rect"><htl:dispitem item="managerName"/></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">対象グループ</td>
       <td class="Rect"><htl:dispitem item="groupName"/></td>
     </tr>
    </table>
    </div>
  </div>
  <br>
  <%
    StringBuilder url = new StringBuilder();
    url.append(ActionVal);
    url.append("?pluginId=");
    url.append(PLG_ID);
    url.append("&processId=append&action=list&pageAction=get");
    url.append("&category=");
    url.append(MessageUtil.getItem(commonMessage, "docKbn", false));
    url.append("&keySeq=");
    url.append(MessageUtil.getItem(commonMessage, "seqNo", false));
    url.append("&managerFlg=");
    url.append(MessageUtil.getItem(commonMessage, "managerFlg", false));
    url.append("&updateFlg=");
    url.append(MessageUtil.getItem(commonMessage, "updateFlg", false));
    String surl = url.toString();
  %>
  <iframe src="<%= surl %>" name="AppendFileList"
             width="100%" height="150" frameborder="0" scrolling="auto"></iframe>

  <span id="tempArea" style="display: none"></span>

</form>
</body>
</html>