<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * 連絡情報一覧表示画面 (CommunicationList.jsp)
 *
 * version:      0.1, 2011.3.13 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Communication List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    function add() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.action.value = "addIni";
      document.mainForm.submit();
    }

    function dtl(ps) {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.pos.value = ps;
      document.mainForm.action.value = "detail";
      document.mainForm.submit();
    }

    function retrieve() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.pageAction.value = "get";
      document.mainForm.submit();
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="communication" act="list" pageact="get" />

  <input type="hidden" name="ract" value="list"/>

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle" colspan="5">連絡情報一覧</td>
      <td align="right">
        <table class="button">
          <tr>
            <td nowrap><a href="#" onclick="add(); return false;">${hfn:getMsg("btn.add")}</a></td>
          </tr>
        </table>
      </td>
    </tr>
    <tr class="input">
      <td class="titleDt" nowrap>登録者</td>
      <td class="Rect"><htl:keyfld item="sentryName" size="10" maxlength="20"/><font size='-1'>*前方一致</font></td>
      <td class="titleDt" nowrap>種別</td>
      <td class="Rect">
        <select name="sgener">
          <option value="">指定なし</option>
          <htl:db2opt item="sgener" table="M_GENRE" pid="<%= PLG_ID %>" dbkey="hsmpl" keyColumn="GENRE_ID" dispColumn="GENRE_NAME"/>
        </select>
      </td>
      <% 
        String chk = "";
        if (keyList != null) {
          String val = keyList.getRetrieve("sfoot");
          if (val != null && val.equals("1")) chk = " checked";
        }
      %>
      <td class="Rect"><input type="checkbox" name="sfoot" value="1" <%=chk %>>確認済みは除く</td>
      <td align="right">
        <table class="button">
          <tr><td><a href="#" onclick="retrieve(); return false;">${hfn:getMsg("btn.search")}</a></td></tr>
        </table>
      </td>
    </tr>
  </table>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <tr>
      <th nowrap width="100px" class="ListTitle">登録者</th>
      <th nowrap width="80px" class="ListTitle">種別</th>
      <th nowrap class="ListTitle">タイトル</th>
      <th nowrap width="60px" class="ListTitle">確認済み</th>
      <th nowrap width="30px" class="ListTitle">&nbsp;</th>
    </tr>

    <htl:listItems fld0="entryName" fld1="generName" fld2="contents" fld3="color"
     fld4="footprints" fld5="seqNo" fld6="<%= POS_NM %>">
      <tr>
        <td width="100px" align="left">${fld0}&nbsp;</td>
        <td noWrap width="80px" align="left">${fld1}&nbsp;</td>
        <td><font color="${fld3}">${fld2}</font></td>
        <td nowrap width="60px" align="center"><font size="-1">${fld4}</font></td>
        <td nowrap width="30px" align="center"><a href="#" onclick="dtl('${fld6}');return false;">
          <font size="-1">詳細</font></a></td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>

</form>
</body>
</html>