<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  会話型情報の詳細表示画面(ConversationDetail.jsp)
 *
 * version:      0.1, 2011.3.24 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.hamaf.hikyaku.dataobject.DetailItemsInterface.COMMFLD" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta http-equiv="Cache-Control" content="no-cache">
  <meta http-equiv="Pragma" content="no-cache">
  <title>Conversation detail</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var isClick = false;

    function init() {
      window.name = "ConversationDetail"
    }

    function cansel() {
      if(isClick == true){
        return;
      }
      self.window.close();
    }

    function mod() {
      if(isClick == true){
        return;
      }
      document.mainForm.action.value = "modIni";
      document.mainForm.submit();
    }

    function add() {
      if(isClick == true){
        return;
      }
      document.mainForm.action.value = "addIni";
      document.mainForm.submit();
    }
  </script>
</head>

<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body onload="init();">
<form name="mainForm" action="<%= ActionVal %>" target="ConversationDetail" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="conversation" act="modIni" pageact="get" />

  <htl:hidden item="seqNo"/>
  <htl:hidden item="orgprc"/>
  <input type="hidden" name="firstflg" value="1">

  <%-- タイトル --%>
  <htl:rectPre>
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <%
      int icls = 2;
      if ("1".equals(MessageUtil.getItem(commonMessage, "replayFlg", false))) {
        icls += 2;
      }
      if ("1".equals(MessageUtil.getItem(commonMessage, "updateFlg", false))) {
        icls += 2;
      }
      String cls = String.valueOf(icls);
    %>
    <tr><td colspan="<%= cls %>" class="MainTitle"><htl:dispitem item="listTitle"/>の詳細表示</td></tr>
    <tr><td colspan="<%= cls %>" id="spaceline"></td></tr>
    <tr class="button">
      <td id="space"></td>
      <% if ("1".equals(MessageUtil.getItem(commonMessage, "updateFlg", false))) { %>
      <td nowrap width="100px" align="center"><a href="#" onclick="mod(); return false;">更　新</a></td>
      <td id="spacer"></td>
      <% } %>
      <% if ("1".equals(MessageUtil.getItem(commonMessage, "replayFlg", false))) { %>
      <td nowrap width="100px" align="center"><a href="#" onclick="add(); return false;">返　信</a></td>
      <td id="spacer"></td>
      <% } %>
      <td nowrap width="100px" align="center"><a href="#" onclick="cansel(); return false;">閉じる</a></td>
    </tr>
  </table>
  </htl:rectPre>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>

  <br>
  <div id="booth" class="input">
    <div id="waku">
    <%
      String uid = MessageUtil.getItem(commonMessage, "userId", false);
      String icn = MessageUtil.getItem(commonMessage, "icon", false);
    %>
    <table width="100%" border="0" cellspacing="1" bgcolor="#FFFFFF">
     <tr>
       <td class="titleDt" nowrap width="15%">タイトル</td>
       <td class="Rect"><htl:dispitem item="title"/></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%"><htl:dispitem item="listTitle"/></td>
       <td class="Rect"><htl:dispitem item="detail" nl2br="yes"/></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">登録者</td>
       <td class="Rect"><htl:dispicon uid="<%= uid %>" icon="<%= icn %>"/><htl:dispitem item="UserNm"/></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">登録日</td>
       <td class="Rect"><htl:dispitem item="entryDay"/></td>
     </tr>
    </table>
    </div>
  </div>

</form>
</body>
</html>
