<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  会話型情報の更新画面(ConversationMod.jsp)
 *
 * version:      0.1, 2011.3.24 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.hamaf.hikyaku.dataobject.DetailItemsInterface.COMMFLD" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta http-equiv="Cache-Control" content="no-cache">
  <meta http-equiv="Pragma" content="no-cache">
  <title>Conversation detail</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var isClick = false;

    function init() {
      window.name = "ConversationMod";

      var imod  = "<%= commonMessage.getResMsg("updatetOk") %>";
      if (imod == "1") {
        window.returnValue = "ok";
        self.window.close();
        return;
      }
    }

    function cansel() {
      if(isClick == true){
        return;
      }
      self.window.close();
    }

    function mod() {
      if(isClick == true){
        return;
      }
      document.mainForm.action.value = "mod";
      document.mainForm.submit();
    }
  </script>
</head>

<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body onload="init();">
<%
  String pid = MessageUtil.getItem(commonMessage, "orgprc", false);
%>
<form name="mainForm" action="<%= ActionVal %>" target="ConversationMod" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="<%= pid %>" act="add" pageact="get" />

  <htl:hidden item="seqNo"/>
  <input type="hidden" name="updatetype" value="m">
  <htl:hidden item="orgprc"/>

  <%-- タイトル --%>
  <htl:rectPre>
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr><td colspan="4" class="MainTitle"><htl:dispitem item="listTitle"/>の更新</td></tr>
    <tr><td colspan="4" id="spaceline"></td></tr>
    <tr class="button">
      <td id="space"></td>
      <td nowrap align="center" width="120px"><a href="#" onclick="mod(); return false;">${hfn:getMsg("btn.update")}</a></td>
      <td id="spacer"></td>
      <td nowrap align="center" width="120px"><a href="#" onclick="cansel(); return false;">${hfn:getMsg("btn.cansel")}</a></td>
    </tr>
  </table>
  </htl:rectPre>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>

  <br>
  <div id="booth" class="input">
    <div id="waku">
    <%
      String uid = MessageUtil.getItem(commonMessage, "userId", false);
      String icn = MessageUtil.getItem(commonMessage, "icon", false);
    %>
    <table width="100%" border="0" cellspacing="1" bgcolor="#FFFFFF">
     <tr>
     <% if ("1".equals(MessageUtil.getItem(commonMessage, "updateTitle", false))) {%>
       <td class="titleDt" nowrap width="15%"><div class="hissu_asta">タイトル</div></td>
       <td class="Rect"><htl:textbody item="title" size="65" maxlength="50">50文字以内</htl:textbody></td>
     <% } else { %>
       <td class="titleDt" nowrap width="15%">タイトル</td>
       <td class="Rect"><htl:dispitem item="title"/></td>
     <% } %>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%"><htl:dispitem item="listTitle"/></td>
       <td class="Rect"><htl:textarea item="detail" rows="20" cols="60"/></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">登録者</td>
       <td class="Rect"><htl:dispicon uid="<%= uid %>" icon="<%= icn %>"/><htl:dispitem item="UserNm"/></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">登録日</td>
       <td class="Rect"><htl:dispitem item="entryDay"/></td>
     </tr>
     <tr><td colspan="2"><font color="red" size="-1">*</font>&nbsp;${hfn:getMsg("uad.cmnt6")}</td></tr>
    </table>
    </div>

</form>
</body>
</html>
