<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * 会話型情報の１タイトル分の一覧表示画面 (SubConvList.jsp)
 *
 * version:      0.1, 2011.3.24 新規
 ********************************************************************************
 --%>
<%@page import="com.hamaf.hikyaku.taglibs.KeyField"%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Communication List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:770px;dialogHeight:570px";
    var C_DIALOG_OPTS = "status:false;dialogWidth:10px;dialogHeight:10px";
    function add(ps) {
      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=subconv&action=addIni";
      url += "&pos=";
      url += ps;
      url += "&orgprc=subconv";
      url += "&firstflg=1";
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
        document.mainForm.pageAction.value = "reget";
        document.mainForm.submit();
      }
      isClick = false;
    }

    function mod(ps) {
      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=subconv&action=modIni";
      url += "&pos=";
      url += ps;
      url += "&orgprc=subconv";
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
        document.mainForm.pageAction.value = "same";
        document.mainForm.submit();
      }
      isClick = false;
    }

    function finish() {
      if(isClick == true){
        return;
      }
      if (!confirm("完了登録します。\n  よろしいですか？")) return false;
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=subconv&action=finishIni";
      url += "&seqNo=";
      url += document.mainForm.seqNo.value;
      url += "&firstflg=1";
      retVal = showModalDialog(url, null, C_DIALOG_OPTS);
      if(typeof(retVal) != "undefined"){
        document.mainForm.pageAction.value = "same";
        document.mainForm.submit();
      }
      isClick = false;
    }

    function retrieve() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.pageAction.value = "get";
      document.mainForm.submit();
    }

    function back() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.processId.value = "conversation";
      document.mainForm.action.value = "list";
      document.mainForm.pageAction.value = "same";
      document.mainForm.submit();
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="subconv" act="list" pageact="get" />

  <htl:hidden item="seqNo"/>
  <input type="hidden" name="orgprc" value="subconv">

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle" colspan="3"><htl:dispitem item="title"/> </td>
      <td align="right">&nbsp;
      <% if ("1".equals(commonMessage.getResMsg("dspfinish"))) { %>
        <table class="button">
          <tr>
            <td><a href="#" onclick="finish(); return false;">完了</a></td>
          </tr>
        </table>
       <%
         }
         String fdt = commonMessage.getResMsg("finishDate");
         if (fdt.length() > 0) {
       %>
       <font color="red">完了日 : <%= fdt %></font>
       <% } %>
      </td>
    </tr>
    <tr class="input">
      <td class="titleDt" nowrap>内容</td>
      <td class="Rect"><htl:keyfld item="sdetail" size="35" maxlength="100"/><font size='-1'>*中間一致</font></td>
      <td align="left" width="40px">
        <table class="button">
          <tr><td nowrap align="center"><a href="#" onclick="retrieve(); return false;">${hfn:getMsg("btn.search")}</a></td></tr>
        </table>
      </td>
      <td align="right" width="40px">
        <table class="button">
          <tr><td nowrap align="center"><a href="#" onclick="back(); return false;">戻る</a></td></tr>
        </table>
      </td>
    </tr>
  </table>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <% for (Map<String,String> dt : commonMessage) {
      int pno = Integer.parseInt(dt.get(POS_NM));
      String lm = dt.get("leftmargin");
      String uid = dt.get("userId");
      String icn = dt.get("icon");
    %>
    <tr>
      <td style="padding-left:<%= lm %>px">
        <htl:listdsp name="detail" mpos="<%= dt %>" nl2br="yes"/>&nbsp;
        ( <htl:dispicon uid="<%= uid %>" icon="<%= icn %>"/><htl:listdsp name="UserNm" mpos="<%= dt %>" />)
        <htl:listdsp name="entryDay" mpos="<%= dt %>" />
      </td>
      <td nowrap width="35px" align="center" valign="top"><a href="#" onclick="add('<%= pno %>');return false;">
        <font size="-1"><htl:listdsp name="disprep" mpos="<%= dt %>"/></font></a></td>
      <td nowrap width="35px" align="center" valign="top"><a href="#" onclick="mod('<%= pno %>');return false;">
        <font size="-1"><htl:listdsp name="dispmod" mpos="<%= dt %>"/></font></a></td>
    </tr>
    <% } %>
  </table>
  </div>
  </div>

</form>
</body>
</html>