<%
response.setHeader("Expires", "-1");
response.setHeader("Pragma","no-cache");
response.setHeader("Cache-Control","no-cache");
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  アンケート回答状況一覧ＪＳＰ(AnswerList.jsp)
 *
 * version:      0.1, 2011.03.27 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
  <meta http-equiv="Cache-Control" content="no-cache">
  <meta http-equiv="Pragma" content="no-cache">
  <title>Footprints List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:300px;dialogHeight:500px";
    function init() {
      window.name = "AnswerList";
    }

    function back() {
      if(isClick == true){
        return;
      }
      isClick = true;
      self.window.close();
    }

    function renew() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.submit();
    }

    function listUser(qno) {
        if(isClick == true){
            return;
          }
          isClick = true;
          var url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=answer&action=answerUserList&pageAction=get";
          url += "&seqNo=";
          url +=  document.mainForm.seqNo.value;
          url += "&qSeqNo=";
          url +=  qno;
          retVal = showModalDialog(url, null, C_DIALOG_OPT);
          isClick = false;
    }

    function excel() {
      if(isClick == true){
        return;
      }
      isClick = true;
      var url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=answer&action=excel";
      url += "&seqNo=";
      url +=  document.mainForm.seqNo.value;
      window.open(url, "AnswerUserList", 'width=50, height=30, menubar=no, toolbar=yes, scrollbars=no');
      isClick = false;
    }
  </script>
</head>

<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body onload="init();" class="popbg dialog">
<form name="mainForm" action="<%= ActionVal %>" target="AnswerList" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="answer" act="answerList" pageact="get" />

  <htl:hidden item="seqNo"/>

  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr><td colspan="6" class="MainTitle"><b><htl:dispitem item="title"/>回答状況の一覧</b></td></tr>
    <tr><td colspan="6" id="spaceline"></td></tr>
    <tr class="button">
      <td id="space"></td>
      <td align="center" nowrap width="100px"><a href="#" onclick="excel(); return false;">Excel出力</a></td>
      <td id="spacer"></td>
      <td align="center" nowrap width="100px"><a href="#" onclick="renew(); return false;">最新に更新</a></td>
      <td id="spacer"></td>
      <td align="center" nowrap width="100px"><a href="#" onclick="back(); return false;">${hfn:getMsg("btn.cansel")}</a></td>
    </tr>
  </table>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <tr>
      <th nowrap class="ListTitle">質問項目</th>
      <th nowrap class="ListTitle" width="40px" >回答者数</th>
    </tr>
    <htl:listItems fld0="contents" fld1="ans" fld2="qSeqNo">
      <tr>
        <td align="left">${fld0}</td>
        <td align="left" valign="top" width="40px"><a href="#" onclick="listUser('${fld2}'); return false;" >${fld1}</a></td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  <%
  String say = MessageUtil.getItem(commonMessage, "saysFlg", false);
  if ("1".equals(say)) {
  %>
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <tr><td class="listTitle">ご意見</td></tr>
    <%
    List<Map<String, String>> wmsg = (List<Map<String, String>>)commonMessage.getWorkBuff();
    for (Map<String,String> dt : wmsg) {
    %>
    <tr><td>
      <htl:listdsp name="says" mpos="<%= dt %>" nl2br="yes"/><br>
      ( <htl:listdsp name="unm" mpos="<%= dt %>"/> )
    </td></tr>
    <% } %>
  </table>
  </div>
  <% } %>
  </div>

</form>
</body>
</html>