<%
response.setHeader("Expires", "-1");
response.setHeader("Pragma","no-cache");
response.setHeader("Cache-Control","no-cache");
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  アンケート未回答者一覧ＪＳＰ(NotAnswerList.jsp)
 *
 * version:      0.1, 2011.03.27 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.hamaf.hikyakucms.sample.sns.ui.CommunicationDetail"%>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
  <meta http-equiv="Cache-Control" content="no-cache">
  <meta http-equiv="Pragma" content="no-cache">
  <title>Not Answer List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>AjaxUtil.js"></script>
  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    function init() {
      window.name = "NotAnswerList";

      var self = "<%= MessageUtil.getItem(commonMessage, "self", false) %>";
      if (self != "1") {
         var param = window.dialogArguments;
         document.mainForm.notice.value = param.notice;
         document.mainForm.contents.value = param.contents;
       }
      }

    function back() {
      if(isClick == true){
        return;
      }
      isClick = true;
      self.window.close();
    }

    function renew() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.submit();
    }

    function regist(uid, unm) {
      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=footprints&action=noticeadd";
      url += "&userId=";
      url += uid;
      url += "&contents=";
      url += encodeURI(document.mainForm.notice.value);

      var ajaxUtil = new AjaxUtil();
      ajaxUtil.post(url, "", document.getElementById("tempArea"), false);
      alert(unm + "さんへお知らせ通知をしました。");
      isClick = false;
    }

    function registAll(){
      var uids = "<%= MessageUtil.getItem(commonMessage, "userIds", false) %>";
      var unms = "<%= MessageUtil.getItem(commonMessage, "UserNames", false) %>";
      var uidl = uids.split(",");
      var unml = unms.split(",");
      for (var i = 0 ; i < uidl.length ; i++) {
        regist(uidl[i], unml[i]);
      }
    }
  </script>
</head>

<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body onload="init();" class="popbg dialog">
<form name="mainForm" action="<%= ActionVal %>" target="NotAnswerList" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="answer" act="notAnswer" pageact="get" />

  <htl:hidden item="seqNo"/>
  <htl:hidden item="<%= CommunicationDetail.MSG_GID %>"/>
  <htl:hidden item="allFlg"/>
  <htl:hidden item="contents"/>
  <htl:hidden item="dayTo"/>
  <htl:hidden item="multiFlg"/>
  <htl:hidden item="notice"/>

  <input type="hidden" name="self" value="1">

  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr><td colspan="6" class="MainTitle"><b><htl:dispitem item="contents"/> 未回答者一覧</b> <htl:dispitem item="counter"/></td></tr>
    <tr><td colspan="6" id="spaceline"></td></tr>
    <tr class="button">
      <td id="space"></td>
      <td align="center" nowrap width="160px"><a href="#" onclick="registAll(); return false;">全員に通知</a></td>
      <td id="spacer"></td>
      <td align="center" nowrap width="160px"><a href="#" onclick="renew(); return false;">最新に更新</a></td>
      <td id="spacer"></td>
      <td align="center" nowrap width="160px"><a href="#" onclick="back(); return false;">${hfn:getMsg("btn.cansel")}</a></td>
    </tr>
  </table>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <tr>
      <th nowrap width="100px" class="ListTitle">ユーザーID</th>
      <th nowrap class="ListTitle">名称</th>
      <th nowrap width="30px" class="ListTitle">お知らせ</th>
    </tr>
    <htl:listItems fld0="userId" fld1="userName">
      <tr>
        <td width="100px" align="left">${fld0}</td>
        <td align="left">${fld1}</td>
        <td nowrap align="center">
          <a href="#" onclick="regist('${fld0}','${fld1}');return false;">
          <font size="-1">通知</font></a></td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>

  <span id="tempArea" style="display: none"></span>

</form>
</body>
</html>