<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  初期画面用お知らせ通知を表示する(NoticeList.jsp)
 *
 * version:      0.1, 2011.03.07 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<HEAD>
  <META HTTP-EQUIV="Content-Type" CONTENT="text/html;CHARSET=utf-8">
  <META NAME="Author" Content="Hamanaka">
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">
  <TITLE>top display Notice List</TITLE>

  <script src="<%= JS_DIR %>AjaxUtil.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:50px;dialogHeight:30px";
    var isClick = false;
    function dtl(plgid,process,act,opt) {
      if(isClick == true){
        return;
      }
      url = "<%= ActionVal %>";
      url += "?pluginId=";
      url += plgid;
      url += "&processId=";
      url += process;
      url += "&action=";
      url += act;
      url += "&reserveSession=yes"
      if (opt != "") {
        url += "&";
        url += opt;
      }
      window.open(url, "NoticeDetail");
    }

    function mod(uid, seq) {
      url = "<%= ROOT_DIR %>/ComControl?pluginId=<%= PLG_ID %>&processId=notice&action=mod";
      url += "&useId=";
      url += uid;
      url += "&seqNo=";
      url += seq;
      var ajaxUtil = new AjaxUtil();
      ajaxUtil.post(url, "", document.getElementById("tempArea"), false);
      document.mainForm.pageAction.value = "get";
      document.mainForm.submit();
    }
  </script>
</HEAD>
<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body>
<FORM name="mainForm" target="sns_NOTICELIST" ACTION="<%= ActionVal %>" METHOD="POST" ENCTYPE="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="inidisp" act="noticelist" pageact="get" />

  <%-- タイトル --%>
  <!-- 
  <htl:rectPre>
  <table width="100%" border="0" cellpadding="3" cellspacing="0">
    <tr>
      <td><div class="pt">未確認の直近２０件のお知らせ</div></td>
    </tr>
  </table>
  <font color="red"><b><%= message[0] %></b></font>
  </htl:rectPre>
   -->

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="100%" border="0" cellpadding="1" cellspacing="1" >
    <htl:listItems fld0="entryDay" fld1="entryUserName" fld2="contents" fld3="detail"
      fld4="parameter" fld5="useId" fld6="seqNo">
      <tr>
        <td noWrap width="40px" align="left">${fld0}</td>
        <td noWrap width="8px" align="center">:</td>
        <td width="150px" align="left">${fld1}</td>
        <td nowrap width="8px" align="center">：</td>
        <td>${fld2}</td>
        <td nowrap width="30px" align="center"><a href="#" onclick="dtl(${fld4});return false;">
          <font size="-1">${fld3}</font></a></td>
        <td nowrap width="30px" align="center"><a href="#" onclick="mod('${fld5}','${fld6}');return false;">
          <font size="-1">済み</font></a></td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>
  <span id="tempArea" style="display: none"></span>

</FORM>
</body>

</HTML>