<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * 管理者用問合せ一覧表示画面 (ConversationList.jsp)
 *
 * version:      0.1, 2011.04.08 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Manager ConversationList List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:650px;dialogHeight:600px";
    function del(typ, seq, pact) {
      if(isClick == true){
        return;
      }
      if (!confirm("返信分も削除されます。\n  よろしいですか？")) return false;
      isClick = true;
      document.mainForm.delType.value = typ;
      document.mainForm.seqNo.value = seq;
      document.mainForm.action.value = "delete";
      document.mainForm.rpact.value = pact;
      document.mainForm.submit();
    }

    function itemSel(typ) {
      if(isClick == true){
        return;
      }
      isClick = true;
      ret = commonSelect("<%= MAIN_ID %>","登録者選択","V_USER_SEL","0","0","0","","",
                               "suser","suserName","","","","");
      isClick = false;
    }

    function retrieve() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.pageAction.value = "get";
      document.mainForm.submit();
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="managerConv" act="list" pageact="get" />

  <input type="hidden" name="delType" value="only"/>
  <input type="hidden" name="seqNo" value=""/>
  <input type="hidden" name="ret" value="ret"/>

  <input type="hidden" name="rpid" value="managerConv"/>
  <input type="hidden" name="ract" value="list"/>
  <input type="hidden" name="rpact" value="same"/>

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle" colspan="4">問合せ一覧</td>
      <td colspan="2"><font size="-1">検索されたデータを</font>&nbsp;
        <table align="right" class="button">
          <tr>
            <td align="center" nowrap><a href="#" onclick="del('all', '', 'reget'); return false;">一括削除</a></td>
          </tr>
        </table>
      </td>
    </tr>
    <tr class="input">
      <td class="titleDt" nowrap>完了日</td>
      <td class="Rect">
        <htl:keyfld item="sfinishDay" cls="textNum" size="7" maxlength="10" attr="readonly"/>以前
        <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="calendarClick('sfinishDay'); return false;">
      </td>
      <td class="titleDt" nowrap>タイトル</td>
      <td class="Rect"><htl:keyfld item="stitle" size="10" maxlength="30"/><font size='-1'>*中間一致</font></td>
      <td class="titleDt" nowrap>登録者</td>
      <td class="Rect">
        <htl:keyfld item="suserName" size="10" attr="readonly"/>
        <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="itemSel(); return false;">
        <htl:hidden item="suser"/>
      </td>
    </tr>
    <tr class="input">
      <td class="titleDt" nowrap>登録日</td>
      <td class="Rect">
        <htl:keyfld item="sentryDay" cls="textNum" size="7" maxlength="10" attr="readonly"/>以前
        <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="calendarClick('sentryDay'); return false;">
      </td>
      <td class="titleDt" nowrap>質問内容</td>
      <td class="Rect" ><htl:keyfld item="sdetail" size="10" maxlength="50"/><font size='-1'>*中間一致</font></td>
      <td align="right" colspan="2">
        <table class="button">
          <tr><td align="center" nowrap><a href="#" onclick="retrieve(); return false;">${hfn:getMsg("btn.search")}</a></td></tr>
        </table>
      </td>
    </tr>
  </table>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <% for (Map<String,String> dt : commonMessage) {
      String lm = dt.get("leftmargin");
      String seq = dt.get("seqNo");
      if ("1".equals(dt.get("lvl"))) {
        String fday = dt.get("finish");
        if (fday == null) fday = "";
        if (fday.length() > 0) fday = " (完了日:" + fday + ")";
    %>
    <tr>
      <td colspan="2"><b><htl:listdsp name="title" mpos="<%= dt %>"/></b>
      <font color="red"><%= fday %></font></td>
    </tr>
    <% } %>
    <tr>
      <td style="padding-left:<%= lm %>px">
        <htl:listdsp name="detail" mpos="<%= dt %>" nl2br="yes"/>&nbsp;
        ( <htl:listdsp name="UserNm" mpos="<%= dt %>" />)
        <htl:listdsp name="entryDay" mpos="<%= dt %>" />
      </td>
        <td nowrap width="35px" align="center" valign="top"><a href="#" onclick="del('only','<%= seq %>','same');return false;">
          <font size="-1">削除</font></a></td>
    </tr>
    <% } %>
  </table>
  </div>
  </div>

</form>
</body>
</html>