<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  管理者用お知らせ通知一覧表示画面(NoticeList.jsp)
 *
 * version:      0.1, 2011.04.08 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<HEAD>
  <META HTTP-EQUIV="Content-Type" CONTENT="text/html;CHARSET=utf-8">
  <META NAME="Author" Content="Hamanaka">
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">
  <TITLE>Manager Notice List</TITLE>

  <script src="<%= JS_DIR %>AjaxUtil.js"></script>
  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:650px;dialogHeight:600px";
    function del(typ, usr, seq, pact) {
      if(isClick == true){
        return;
      }
      if (!confirm("削除します。\n  よろしいですか？")) return false;
      isClick = true;
      document.mainForm.delType.value = typ;
      document.mainForm.userId.value = usr;
      document.mainForm.seqNo.value = seq;
      document.mainForm.action.value = "delete";
      document.mainForm.rpact.value = pact;
      document.mainForm.submit();
    }

    function itemSel(id, disp) {
      if(isClick == true){
        return;
      }
      isClick = true;
      ret = commonSelect("<%= MAIN_ID %>","対象者選択","V_USER_SEL","0","0","0","","",
                               id, disp,"","","","");
      isClick = false;
    }

    function retrieve() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.pageAction.value = "get";
      document.mainForm.submit();
    }
  </script>
</HEAD>
<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body>
<FORM name="mainForm" ACTION="<%= ActionVal %>" METHOD="POST" ENCTYPE="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="managerNotice" act="list" pageact="get" />

  <input type="hidden" name="delType" value="only"/>
  <input type="hidden" name="userId" value=""/>
  <input type="hidden" name="seqNo" value=""/>
  <input type="hidden" name="ret" value="ret"/>

  <input type="hidden" name="rpid" value="managerEnqu"/>
  <input type="hidden" name="ract" value="list"/>
  <input type="hidden" name="rpact" value="same"/>

  <input type="hidden" name="rtyp" value="1">
  <%-- タイトル --%>
  <htl:rectPre>
  <table width="100%" border="0" cellpadding="3" cellspacing="0">
    <tr>
      <td class="MainTitle" colspan="4">お知らせ一覧</td>
      <td align="right" colspan="2"><font size="-1">検索されたデータを</font></td>
      <td align="right">
        <table class="button">
          <tr>
            <td align="center" nowrap><a href="#" onclick="del('all', '', '', 'reget'); return false;">一括削除</a></td>
          </tr>
        </table>
      </td>
    </tr>
    <tr class="input">
      <td class="titleDt" nowrap>受信者</td>
      <td class="Rect">
        <htl:keyfld item="sreciveUserName" size="10" attr="readonly"/>
        <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="itemSel('sreciveUser', 'sreciveUserName'); return false;">
        <htl:hidden item="sreciveUser"/>
      </td>
      <td class="titleDt" nowrap>確認日</td>
      <td class="Rect">
        <htl:keyfld item="saffirmationDay" cls="textNum" size="7" maxlength="10" attr="readonly"/>以前
        <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="calendarClick('saffirmationDay'); return false;">
      </td>
       <%
         String chk = MessageUtil.getKeyItem(keyList, "snocheck");
         if (chk != null && chk.length() > 0) chk = " checked";
       %>
      <td class="Rect" colspan="3"><input type="checkbox" name="snocheck" value="1"<%= chk %>> 未確認のみ（確認日は無視されます）</td>
    </tr>
    <tr class="input">
      <td class="titleDt" nowrap>送信者</td>
      <td class="Rect">
        <htl:keyfld item="sentryUserName" size="10" attr="readonly"/>
        <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="itemSel('sentryUser' ,'sentryUserName'); return false;">
        <htl:hidden item="sentryUser"/>
      </td>
      <td class="titleDt" nowrap>登録日</td>
      <td class="Rect">
        <htl:keyfld item="sentryDay" cls="textNum" size="7" maxlength="10" attr="readonly"/>以前
        <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="calendarClick('sentryDay'); return false;">
      </td>
      <td class="titleDt" nowrap>内容</td>
      <td class="Rect">
        <htl:keyfld item="scontents" size="10" maxlength="20"/><font size='-1'>*中間一致</font>
      </td>
      <td align="right">
        <table class="button">
          <tr><td align="center" nowrap><a href="#" onclick="retrieve(); return false;">${hfn:getMsg("btn.search")}</a></td></tr>
        </table>
      </td>
    </tr>
  </table>
  <font color="red"><b><%= message[0] %></b></font>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="100%" border="0" cellpadding="1" cellspacing="1" >
    <tr>
      <th nowrap width="100px" class="ListTitle">送信者</th>
      <th nowrap width="60px" class="ListTitle">送信日</th>
      <th nowrap width="100px" class="ListTitle">受信者</th>
      <th nowrap width="60px" class="ListTitle">確認日</th>
      <th nowrap class="ListTitle">内容</th>
      <th nowrap width="35px" class="ListTitle">削除</th>
    </tr>
    <htl:listItems fld0="userName" fld1="entryUserName" fld2="entryDay" fld3="affirmationDay"
      fld4="contents" fld5="useId" fld6="seqNo">
      <tr>
        <td width="100px">${fld1}</td>
        <td noWrap width="60px" align="center">${fld2}</td>
        <td width="100px">${fld0}</td>
        <td noWrap width="60px" align="center">${fld3}</td>
        <td>${fld4}</td>
        <td nowrap width="35px" align="center"><a href="#" onclick="del('only','${fld5}','${fld6}','same');return false;">
          <font size="-1">削除</font></a></td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>

</FORM>
</body>

</HTML>