<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  お知らせ通知一覧表示画面(NoticeList.jsp)
 *
 * version:      0.1, 2011.03.30 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<HEAD>
  <META HTTP-EQUIV="Content-Type" CONTENT="text/html;CHARSET=utf-8">
  <META NAME="Author" Content="Hamanaka">
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">
  <TITLE>Notice List</TITLE>

  <script src="<%= JS_DIR %>AjaxUtil.js"></script>
  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:50px;dialogHeight:30px";
    function dtl(plgid,process,act,opt) {
      if(isClick == true){
        return;
      }
      url = "<%= ROOT_DIR %>/ComControl";
      url += "?pluginId=";
      url += plgid;
      url += "&processId=";
      url += process;
      url += "&action=";
      url += act;
      url += "&reserveSession=yes"
      if (opt != "") {
        url += "&";
        url += opt;
      }
      window.open(url, "NoticeDetail");
    }

    function mod(uid, seq) {
      url = "<%= ROOT_DIR %>/ComControl?pluginId=<%= PLG_ID %>&processId=notice&action=mod";
      url += "&useId=";
      url += uid;
      url += "&seqNo=";
      url += seq;
      var ajaxUtil = new AjaxUtil();
      ajaxUtil.post(url, "", document.getElementById("tempArea"), false);
      document.mainForm.pageAction.value = "same";
      document.mainForm.submit();
    }

    function del(uid, seq) {
      url = "<%= ROOT_DIR %>/ComControl?pluginId=<%= PLG_ID %>&processId=notice&action=del";
      url += "&useId=";
      url += uid;
      url += "&seqNo=";
      url += seq;
      url += "&type=only";
      var ajaxUtil = new AjaxUtil();
      ajaxUtil.post(url, "", document.getElementById("tempArea"), false);
      document.mainForm.pageAction.value = "same";
      document.mainForm.submit();
    }

    function delAll() {
      url = "<%= ROOT_DIR %>/ComControl?pluginId=<%= PLG_ID %>&processId=notice&action=del";
      url += "&fdate=";
      url += document.mainForm.fdate.value;
      url += "&type=all";
      var ajaxUtil = new AjaxUtil();
      ajaxUtil.post(url, "", document.getElementById("tempArea"), false);
      document.mainForm.pageAction.value = "reget";
      document.mainForm.submit();
    }

    function retrieve() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.pageAction.value = "get";
      document.mainForm.submit();
    }
  </script>
</HEAD>
<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body>
<FORM name="mainForm" ACTION="ComControl" METHOD="POST" ENCTYPE="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="notice" act="list" pageact="get" />

  <input type="hidden" name="rtyp" value="1">
  <%-- タイトル --%>
  <htl:rectPre>
  <table width="100%" border="0" cellpadding="3" cellspacing="0">
    <tr>
      <td class="MainTitle" colspan="2">お知らせ一覧</td>
      <td colspan="3" align="right">
        <htl:keyfld item="fdate" cls="textNum" size="6" maxlength="10" attr="readonly"/>
        <button name="daysel1" onclick="calendarClick('fdate'); return false;" style="cursor:pointer;"><font size="-1">選択</font></button>
        <font size="-1">以前の確認済みを</font>
      </td>
      <td>
        <table class="button">
          <tr>
            <td align="center" nowrap><a href="#" onclick="delAll(); return false;">一括削除</a></td>
          </tr>
        </table>
      </td>
    </tr>
    <tr class="input">
       <%
         String chk = MessageUtil.getKeyItem(keyList, "snocheck");
         if (chk != null && chk.length() > 0) chk = " checked";
       %>
      <td class="titleDt" nowrap>登録日</td>
      <td class="Rect">
         <htl:keyfld item="sentryDay" cls="textNum" size="6" maxlength="10" attr="readonly"/>以前 <button name="daysel1" onclick="calendarClick('sentryDay'); return false;" style="cursor:pointer;"><font size="-1">選択</font></button>
      </td>
      <td class="Rect"><input type="checkbox" name="snocheck" value="1"<%= chk %>> 未確認のみ</td>
      <td class="titleDt" nowrap>内容</td>
      <td class="Rect">
        <htl:keyfld item="scontents" size="10" maxlength="20"/><font size='-1'>*中間一致</font>
      </td>
      <td align="right">
        <table class="button">
          <tr><td align="center" nowrap><a href="#" onclick="retrieve(); return false;">${hfn:getMsg("btn.search")}</a></td></tr>
        </table>
      </td>
    </tr>
  </table>
  <font color="red"><b><%= message[0] %></b></font>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="100%" border="0" cellpadding="1" cellspacing="1" >
    <htl:listItems fld0="entryDay" fld1="entryUserName" fld2="contents" fld3="detail"
      fld4="parameter" fld5="useId" fld6="seqNo" fld7="modify">
      <tr>
        <td noWrap width="40px" align="left">${fld0}</td>
        <td noWrap width="8px" align="center">:</td>
        <td width="150px" align="left">${fld1}</td>
        <td nowrap width="8px" align="center">：</td>
        <td>${fld2}</td>
        <td nowrap width="50px" align="center"><a href="#" onclick="dtl(${fld4});return false;">
          <font size="-1">${fld3}</font></a></td>
        <td nowrap width="50px" align="center"><a href="#" onclick="mod('${fld5}','${fld6}'); return false;">
          <font size="-1">${fld7}</font></a></td>
        <td nowrap width="50px" align="center"><button name="delbtn" onclick="del('${fld5}','${fld6}'); return false;" style="cursor:pointer;">
          <font size="-1">削除</font></button></td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>

  <span id="tempArea" style="display: none"></span>

</FORM>
</body>

</HTML>