<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * 独り言一覧表示画面 (SoliloquyList.jsp)
 *
 * version:      0.1, 2011.3.30 新規
 ********************************************************************************
 --%>
<%@page import="com.hamaf.hikyakucms.sample.sns.access.Hatsuban2Access.HATSUBAN2_KBN"%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Soliloquy List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>AjaxUtil.js"></script>
  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:770px;dialogHeight:430px";
    function add() {
      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=soliloquy&action=addIni";
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
      isClick = false;
      if(typeof(retVal) != "undefined"){
        document.mainForm.pageAction.value = "get";
        document.mainForm.submit();
      }
    }

    function update(kbn, seq) {
      if (kbn == "a") {
    	  registFoot(seq);
      }  else {
        del(seq);
      }
      return false;
    }
    function del(seq) {
      if(isClick == true){
        return;
      }
      if (!confirm("削除します。\n  よろしいですか？")) return false;
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=soliloquy&action=delete";
      url += "&seqno=";
      url += seq;
      var ajaxUtil = new AjaxUtil();
      ajaxUtil.post(url, "", document.getElementById("tempArea"), false);
      document.mainForm.pageAction.value = "same";
      document.mainForm.submit();
    }
    function registFoot(seq) {
      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=footprints&action=add";
      url += "&category=";
      url += "<%= HATSUBAN2_KBN.SOLILOQUY.getKey() %>";
      url += "&seqNo=";
      url += seq;

      var ajaxUtil = new AjaxUtil();
      ajaxUtil.post(url, "", document.getElementById("tempArea"), false);
      document.mainForm.pageAction.value = "same";
      document.mainForm.submit();
    }

    function retrieve() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.pageAction.value = "get";
      document.mainForm.submit();
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="soliloquy" act="list" pageact="get" />

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle" colspan="5">独り言一覧</td>
      <td align="right">
        <table class="button">
          <tr>
            <td nowrap><a href="#" onclick="add(); return false;">${hfn:getMsg("btn.add")}</a></td>
          </tr>
        </table>
      </td>
    </tr>
    <tr class="input">
      <td class="titleDt" nowrap>登録日</td>
      <td class="Rect">
         <htl:keyfld item="sentday" cls="textNum" size="6" maxlength="10" ini="<%= DateUtil.getDate() %>" attr="readonly"/>(過去３ヶ月) <button name="selday" onclick="calendarClick('sentday'); return false;" style="cursor:pointer;"><font size="-1">選択</font></button>
      </td>
      <td class="titleDt" nowrap>内容</td>
      <td class="Rect">
        <htl:keyfld item="sval" size="10" maxlength="20"/><font size='-1'>*中間一致</font>
      </td>
       <%
         String chk = MessageUtil.getKeyItem(keyList, "spublic");
         if (chk != null && chk.length() > 0) chk = " checked";
       %>
      <td class="Rect"><input type="checkbox" name="spublic" value="1"<%= chk %>> 非公開のみ</td>
      <td align="right">
        <table class="button">
          <tr><td align="center" nowrap><a href="#" onclick="retrieve(); return false;">${hfn:getMsg("btn.search")}</a></td></tr>
        </table>
      </td>
    </tr>
  </table>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
  <%
    for (Map<String,String> dt : commonMessage) {
      int pno = Integer.parseInt(dt.get(POS_NM));
      String dsp = dt.get("dspbtn");
      String prm = dt.get("parm");
      String seq = dt.get("seqno");
      String usr = dt.get("entryUser");
      String icn = dt.get("icon");
  %>
      <tr>
        <td align="left">(<htl:listdsp name="entryDate" mpos="<%= dt %>" />)
          <htl:dispicon uid="<%= usr %>" icon="<%= icn %>"/><htl:listdsp name="entryName" mpos="<%= dt %>" />
        </td>
        <td noWrap align="left">拍手 <htl:listdsp name="footCount" mpos="<%= dt %>" />人</td>
        <td noWrap align="right">
         <% if (dsp.length() > 0) { %>
          <button name="upbtn" onclick="update('<%= prm %>','<%= seq %>'); return false;" style="cursor:pointer;"><font size="-1"><%= dsp %></font></button>
         <% } %>
        &nbsp;</td>
      </tr>
      <tr><td colspan="3"><htl:listdsp name="detail" mpos="<%= dt %>" nocnv="yes"/></td></tr>
    <% } %>
  </table>
  </div>
  </div>

  <span id="tempArea" style="display: none"></span>

</form>
</body>
</html>