CREATE VIEW V_ENQUETE_SEARCH as
  select
    SEQNO,
    DAY_FROM,
    DAY_TO,
    ENTRY_NAME,
    CONTENTS,
    MANAGER,
    FINISH_DAY,
    CONTENTS || ' ' || DETAIL as RETVAL,
    x.UPD_DATE  as UPD_DATE,
    x.UPD_TIME  as UPD_TIME,
    x.UPD_PGM   as UPD_PGM,
    x.UPD_USER  as UPD_USER,
    x.DEL_FLG   as DEL_FLG,
    GROUP_ID,
    CHILD_FLG
  from M_ENQUETE x
       left join M_RESTRICTION z on z.CATEGORY = 'E' AND x.SEQNO = z.KEY_SEQNO
  order by UPD_DATE DESC, UPD_TIME DESC, SEQNO
