<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  掲示板一覧ＪＳＰ(BoardList.jsp)
 *
 * version:      0.1, 2011.03.29 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.hamaf.hikyakucms.sample.sns.ui.BoardList"%>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
  <title>Board List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>AjaxUtil.js"></script>
  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:770px;dialogHeight:680px";
    var grps = "<%= MessageUtil.getItem(commonMessage, BoardList.MSG_GIDS, false) %>";
    function init() {
      var gids = grps.split("\t");
      for (var i = 0; i < gids.length; i++) {
        detail(gids[i]);
      }
    }

    function update(gid) {
      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=board&action=modIni";
      url += "&<%= BoardList.MSG_ID %>=";
      url += gid;
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
      isClick = false;
      if(typeof(retVal) != "undefined"){
        detail(gid);
      }
    }

    function detail(gid) {
      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=board&action=detail";
      url += "&<%= BoardList.MSG_ID %>=";
      url += gid;
      var ajaxUtil = new AjaxUtil();
      ajaxUtil.post(url, "", document.getElementById(gid), false);
      isClick = false;
    }

  </script>
</head>

<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body onload="init();" bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="board" act="list" pageact="get" />

  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr><td class="MainTitle"><b>掲示板一覧</b></td></tr>
  </table>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
    <htl:listItems fld0="<%= BoardList.MSG_ID %>">
    <div id="waku">
     <span id="${fld0}"></span>
    </div>
    </htl:listItems>
  </div>

  <span id="tempArea" style="display: none"></span>

</form>
</body>
</html>