<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  連絡通知新規登録・更新用ＪＳＰ(CommunicationUpdate.jsp)
 *
 * version:      0.1, 2011.03.15 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.hamaf.hikyakucms.sample.sns.ui.CommunicationDetail" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
  <title>Communication update</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script type="text/javascript" src="<%= JS_DIR %>tinymce/tinymce.min.js"></script>
  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
  tinymce.init({
    selector: "textarea.detail",
    language : "ja",
    plugins: [
            "advlist autolink autosave link image lists charmap print preview hr anchor pagebreak spellchecker",
            "searchreplace wordcount visualblocks visualchars code fullscreen insertdatetime media nonbreaking",
            "table contextmenu directionality emoticons template textcolor paste fullpage textcolor"
    ],

    toolbar1: "bold italic underline strikethrough | forecolor backcolor | alignleft aligncenter alignright alignjustify | styleselect fontsizeselect | removeformat ",
    toolbar2: "cut copy paste | searchreplace | bullist numlist | table | undo redo | link unlink | inserttime hr | preview | charmap emoticons",
    toolbar3: "",

    menubar: false,
    toolbar_items_size: 'small',

    style_formats: [
            {title: 'Bold text', inline: 'b'},
            {title: 'Red text', inline: 'span', styles: {color: '#ff0000'}},
            {title: 'Red header', block: 'h1', styles: {color: '#ff0000'}},
            {title: 'Example 1', inline: 'span', classes: 'example1'},
            {title: 'Example 2', inline: 'span', classes: 'example2'},
            {title: 'Table styles'},
            {title: 'Table row 1', selector: 'tr', classes: 'tablerow1'}
    ],

    templates: [
            {title: 'Test template 1', content: 'Test 1'},
            {title: 'Test template 2', content: 'Test 2'}
    ]
});
    function back() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.action.value = document.mainForm.ract.value;
      document.mainForm.submit();
    }

    function update() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.action.value = "update";
      document.mainForm.submit();
    }

    function itemSel(typ) {
      if(isClick == true){
        return;
      }
      isClick = true;
      var ret;
      if (typ == "g") {
        ret = commonSelect("<%= MAIN_ID %>","対象グループ選択","V_GROUP_SEL","0","1","0","","",
                               "<%= CommunicationDetail.MSG_GID %>","groupName","","","","");
        dspGroup();
      } else {
        ret = commonSelect("<%= MAIN_ID %>","管理者選択","V_USER_SEL","0","0","0","","",
                               "manager","managerName","","","","");
      }
      isClick = false;
    }

    function dspGroup() {
      var orgDt = document.mainForm.groupName.value;
      if (orgDt.length == 0) return;
      document.mainForm.groupdsp.value = orgDt.replace(",","\n");
    }

    function init() {
      var mid = document.mainForm.manager.value;
      if (mid == "") {
        document.mainForm.manager.value = "<%= UID %>";
        document.mainForm.managerName.value = "<%= UID %>" + "-" + "<%= UNM %>";
      }
      dspGroup();
    }
  </script>
</head>

<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body onload="init();" bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="communication" act="detail" pageact="same" />

  <htl:hidden item="seqNo"/>
  <htl:hidden item="docKbn"/>
  <htl:hidden item="<%= CommunicationDetail.MSG_GID %>"/>
  <htl:hidden item="groupName"/>
  <htl:hidden item="ract"/>
  <htl:hidden item="manager"/>

  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr><td colspan="4" class="MainTitle"><b>連絡情報の登録・変更</b></td></tr>
    <tr><td colspan="4" id="spaceline"></td></tr>
    <tr class="button">
      <td id="space"></td>
      <td align="center"><a href="#" onclick="update(); return false;">${hfn:getMsg("btn.update")}</a></td>
      <td id="spacer"></td>
      <td align="center"><a href="#" onclick="back(); return false;">${hfn:getMsg("btn.cansel")}</a></td>
    </tr>
  </table>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>

  <br>
  <div id="booth" class="input">
    <div id="waku">
    <table width="100%" border="0" cellspacing="1" bgcolor="#FFFFFF">
     <tr>
       <td class="titleDt" nowrap width="15%">表示用登録者名</td>
       <td class="Rect"><htl:textbody item="entryName" size="30" maxlength="20">20文字以内</htl:textbody></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">掲載開始日</td>
       <td class="Rect">
         <htl:textbody item="dayFrom" cls="textNum" size="6" maxlength="10" attr="onkeyDown='return numOnly()'">yyyy/mm/dd（西暦８桁形式）
         <button name="seldayf" onclick="calendarClick('dayFrom'); return false;" style="cursor:pointer;"><font size="-1">選択</font></button></htl:textbody>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">掲載終了日</td>
       <td class="Rect">
         <htl:textbody item="dayTo" cls="textNum" size="6" maxlength="10" attr="onkeyDown='return numOnly()'">yyyy/mm/dd（西暦８桁形式）
         <button name="seldayt" onclick="calendarClick('dayTo'); return false;" style="cursor:pointer;"><font size="-1">選択</font></button></htl:textbody>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">種別</td>
       <td class="Rect">
         <select name="gener">
            <option value=""> </option>
            <htl:db2opt item="gener" table="M_GENRE" pid="<%= PLG_ID %>" dbkey="hsmpl" keyColumn="GENRE_ID" dispColumn="GENRE_NAME"/>
         </select>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%"><div class="hissu_asta">タイトル</div></td>
       <td class="Rect"><htl:textbody item="contents" size="65" maxlength="50">50文字以内</htl:textbody></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">内容</td>
       <td class="Rect"><htl:textarea cls="detail" item="detail" rows="15" cols="60" nocnv="yes"/></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%"><div class="hissu_asta">管理者&nbsp;&nbsp;&nbsp;&nbsp;
        <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="itemSel('u'); return false;"></div>
       </td>
       <td class="Rect">
         <htl:textfld item="managerName" size="65" attr="readonly"/>&nbsp;
      <!--
         <a href="#" onclick="itemSel('u'); return false;"><font size="-1">選択</font></a>
      -->
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%"><div class="hissu_asta">対象グループ<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
         <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="itemSel('g'); return false;"></div>
       </td>
       <td class="Rect" valign="top">
       <%
         String chk = "";
         String val = MessageUtil.getItem(commonMessage, "allFlg", false);
         if ("1".equals(val)) chk = " checked";
       %>
         <input type="checkbox" name="allFlg" value="1"<%= chk %>> 全ユーザを対象にする<br>
         <htl:textarea item="groupdsp" rows="7" cols="60" read="only"/>
       </td>
     </tr>
     <tr><td colspan="2"><font color="red" size="-1">*</font>&nbsp;${hfn:getMsg("uad.cmnt6")}</td></tr>
    </table>
    </div>
  </div>
  <span id="tempArea" style="display: none"></span>

</form>
</body>
</html>