<%
response.setHeader("Expires", "-1");
response.setHeader("Pragma","no-cache");
response.setHeader("Cache-Control","no-cache");
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  確認者・未確認者一覧ＪＳＰ(FootprintsList.jsp)
 *
 * version:      0.1, 2011.03.21 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
  <meta http-equiv="Cache-Control" content="no-cache">
  <meta http-equiv="Pragma" content="no-cache">
  <title>Footprints List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>AjaxUtil.js"></script>
  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    function init() {
      window.name = "FootprintsList";

      var self = "<%= MessageUtil.getItem(commonMessage, "self", false) %>";
      if (self != "1") {
	      var param = window.dialogArguments;
	      document.mainForm.contents.value = param.contents;
      }
    }

    function back() {
      if(isClick == true){
        return;
      }
      isClick = true;
      self.window.close();
    }

    function renew() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.submit();
    }

    function regist(uid, unm) {
      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=footprints&action=noticeadd";
      url += "&userId=";
      url += uid;
      url += "&contents=";
      url += encodeURI(document.mainForm.contents.value);
      url += "&plug=<%= PLG_ID %>";
      url += "&proc=";
      url += document.mainForm.orgprc.value;
      url += "&act=";
      url += document.mainForm.orgact.value;
      url += "&keyValue=";
      url += document.mainForm.orgkey.value;

      var ajaxUtil = new AjaxUtil();
      ajaxUtil.post(url, "", document.getElementById("tempArea"), false);
      alert(unm + "さんへお知らせ通知をしました。");
      isClick = false;
    }
  </script>
</head>

<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body onload="init();" class="popbg dialog">
<form name="mainForm" action="<%= ActionVal %>" target="FootprintsList" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="footprints" act="list" pageact="same" />

  <htl:hidden item="checkKbn"/>
  <htl:hidden item="docKbn"/>
  <htl:hidden item="keySeq"/>
  <htl:hidden item="contents"/>

  <htl:hidden item="orgprc"/>
  <htl:hidden item="orgact"/>
  <htl:hidden item="orgkey"/>

  <input type="hidden" name="self" value="1">

  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr><td colspan="4" class="MainTitle"><b><htl:dispitem item="title"/>の一覧</b> (対象者 <htl:dispitem item="counter"/> 人)</td></tr>
    <tr><td colspan="4" id="spaceline"></td></tr>
    <tr class="button">
      <td id="space"></td>
      <td nowrap align="center" width="120px"><a href="#" onclick="renew(); return false;">最新に更新</a></td>
      <td id="spacer"></td>
      <td nowrap align="center" width="120px"><a href="#" onclick="back(); return false;">${hfn:getMsg("btn.cansel")}</a></td>
    </tr>
  </table>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <tr>
      <th nowrap width="100px" class="ListTitle">ユーザーID</th>
      <th nowrap class="ListTitle">名称</th>
      <th nowrap width="30px" class="ListTitle"><htl:dispitem item="listTitle"/></th>
    </tr>
    <htl:listItems fld0="userId" fld1="userName" fld2="kakuninbi" fld3="osirase">
      <tr>
        <td width="100px" align="left">${fld0}</td>
        <td align="left">${fld1}&nbsp;</td>
        <td nowrap align="center">${fld2}
          <a href="#" onclick="regist('${fld0}','${fld1}');return false;">
          <font size="-1">${fld3}</font></a></td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>

  <span id="tempArea" style="display: none"></span>

</form>
</body>
</html>