<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * 会話型情報一覧表示画面 (ConversationList.jsp)
 *
 * version:      0.1, 2011.3.23 新規
 ********************************************************************************
 --%>
<%@page import="com.hamaf.hikyaku.taglibs.KeyField"%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Communication List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:770px;dialogHeight:570px";
    function addNew() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.updatetype.value = "n";
      document.mainForm.action.value = "addNewIni";
      document.mainForm.submit();
    }

    function dtl(ps) {
      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=conversation&action=detail";
      url += "&pos=";
      url += ps;
      url += "&orgprc=conversation";
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
          document.mainForm.pageAction.value = "get";
          document.mainForm.submit();
        }
      isClick = false;
    }

    function add(ps) {
      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=conversation&action=addIni";
      url += "&pos=";
      url += ps;
      url += "&orgprc=conversation";
      url += "&firstflg=1";
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
        document.mainForm.pageAction.value = "get";
        document.mainForm.submit();
      }
      isClick = false;
    }

    function sub(seq) {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.processId.value = "subconv";
      document.mainForm.action.value = "list";
      document.mainForm.pageAction.value = "get";
      document.mainForm.seqNo.value = seq;
      document.mainForm.submit();
    }

    function retrieve() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.pageAction.value = "get";
      document.mainForm.submit();
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="conversation" act="list" pageact="get" />

  <htl:hidden item="seqNo"/>
  <htl:hidden item="updatetype"/>
  <input type="hidden" name="orgprc" value="conversation">

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle" colspan="4">問合せ情報一覧</td>
      <td align="right">
        <table class="button">
          <tr>
            <td nowrap><a href="#" onclick="addNew(); return false;">${hfn:getMsg("btn.add")}</a></td>
          </tr>
        </table>
      </td>
    </tr>
    <%
      String cfin = "";
      String dspc = "";
      if (keyList != null) {
        if ("1".equals(keyList.getRetrieve("sfinish"))) cfin = " checked";
        if ("1".equals(keyList.getRetrieve("dispchild"))) dspc = " checked";
      }
    %>
    <tr class="input">
      <td class="titleDt" nowrap>タイトル</td>
      <td class="Rect"><htl:keyfld item="stitle" size="20" maxlength="50"/><font size='-1'>*中間一致</font></td>
      <td class="Rect"><input type="checkbox" name="sfinish" value="1"<%= cfin %>> 完了分も表示</td>
      <td class="Rect"><input type="checkbox" name="dispchild" value="1"<%= dspc %>> 返信を表示</td>
      <td align="right">
        <table class="button">
          <tr><td><a href="#" onclick="retrieve(); return false;">${hfn:getMsg("btn.search")}</a></td></tr>
        </table>
      </td>
    </tr>
  </table>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <htl:listItems fld0="title" fld1="dispreplay" fld2="leftmargin" fld3="entryDay"
     fld4="UserNm" fld5="seqNo" fld6="<%= POS_NM %>" fld7="displist" fld8="dispfinish">
      <tr>
        <td style="padding-left:${fld2}px">${fld0}&nbsp;&nbsp;(${fld4})&nbsp;${fld3}&nbsp;<font color="red">${fld8}</font></td>
        <td nowrap width="35x" align="center" valign="top"><a href="#" onclick="dtl('${fld6}');return false;">
          <font size="-1">詳細</font></a></td>
        <td nowrap width="35px" align="center" valign="top"><a href="#" onclick="add('${fld6}');return false;">
          <font size="-1">${fld1}</font></a></td>
        <td nowrap width="35px" align="center" valign="top"><a href="#" onclick="sub('${fld5}');return false;">
          <font size="-1">${fld7}</font></a></td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>

</form>
</body>
</html>