<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  アンケート細表示用ＪＳＰ(EnqueteDetail.jsp)
 *
 * version:      0.1, 2011.03.25 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.hamaf.hikyakucms.sample.sns.ui.CommunicationDetail" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
  <title>Enquete Detail display</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>AjaxUtil.js"></script>
  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:650px;dialogHeight:500px";
    function back() {
      if(isClick == true){
        return;
      }
      isClick = true;
      if (document.mainForm.newAdd.value == "1") {
    	  document.mainForm.pageAction.value = "get";
      }
       document.mainForm.submit();
    }
    function update() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.action.value = "modIni";
      document.mainForm.submit();
    }
    function answer() {
      var hit = false;
      for (i = 0; i < document.mainForm.qSeqNo.length; i++) {
        if (document.mainForm.qSeqNo[i].checked) {
          hit = true;
          break;
        }
      }
      if (hit == false) {
        alert("アンケート項目を選択してください。");
        return false;
      }

      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.processId.value = "answer";
      document.mainForm.action.value = "answerAdd";
      document.mainForm.submit();
    }
    function listAnsInf() {
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=answer&action=answerList&pageAction=get";
      url += "&seqNo=";
      url += document.mainForm.seqNo.value;
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
    }

    function listNotAns() {
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=answer&action=notAnswer";
      url += "&seqNo=";
      url += document.mainForm.seqNo.value;
      url += "&<%= CommunicationDetail.MSG_GID %>=";
      url += document.mainForm.<%= CommunicationDetail.MSG_GID %>.value;
      url += "&dayTo=";
      url += document.mainForm.dayTo.value;
      url += "&allFlg=";
      url += document.mainForm.allFlg.value;

      msg  = "アンケート【";
      msg += "<%= MessageUtil.getItem(commonMessage, "contents", false) %>";
      msg += "】に回答してください";
      var argObj = new Object();
      argObj.notice = msg;
      argObj.contents = document.mainForm.contents.value;
      retVal = showModalDialog(url, argObj, C_DIALOG_OPT);
    }

    function finish() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.action.value = "finish";
      document.mainForm.submit();
    }
  </script>
</head>

<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="enquete" act="list" pageact="same" />

  <htl:hidden item="seqNo"/>
  <htl:hidden item="docKbn"/>
  <htl:hidden item="<%= CommunicationDetail.MSG_GID %>"/>
  <htl:hidden item="allFlg"/>
  <htl:hidden item="contents"/>
  <htl:hidden item="dayTo"/>
  <htl:hidden item="multiFlg"/>

  <htl:hidden item="newAdd"/>

  <input type="hidden" name="ract" value="detail"/>

  <%
    String upu = MessageUtil.getItem(commonMessage, "updateFlg", false);
    String mgr = MessageUtil.getItem(commonMessage, "managerFlg", false);
    String pans = MessageUtil.getItem(commonMessage, "posibleAnswer", false);
    int cl = 2;
    if (!"0".equals(upu)) cl += 2;
    if ("1".equals(pans)) cl += 2;
  %>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr><td colspan="<%= cl %>" class="MainTitle"><b>アンケートの詳細</b></td></tr>
    <tr><td colspan="<%= cl %>" id="spaceline"></td></tr>
    <tr class="button">
      <td id="space"></td>
      <%
        if ("1".equals(upu)) {
      %>
      <td align="center" nowrap width="80px"><a href="#" onclick="update(); return false;">${hfn:getMsg("btn.update")}</a></td>
      <td id="spacer"></td>
      <% } else if ("2".equals(upu)) {%>
      <td align="center" nowrap width="80px"><a href="#" onclick="finish(); return false;">完  了</a></td>
      <td id="spacer"></td>
      <% } %>
      <% if ("1".equals(pans)) { %>
      <td align="center" nowrap width="100px"><a href="#" onclick="answer(); return false;">回答する</a></td>
      <td id="spacer"></td>
      <% } %>
      <td align="center" nowrap width="80px"><a href="#" onclick="back(); return false;">${hfn:getMsg("btn.close")}</a></td>
    </tr>
  </table>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>

  <br>
  <div id="booth" class="input">
    <div id="waku">
    <table width="100%" border="0" cellspacing="1" bgcolor="#FFFFFF">
     <tr>
       <td class="titleDt" nowrap width="15%">登録者</td>
       <td class="Rect"><htl:dispitem item="entry"/></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">回答期限</td>
       <td class="Rect"><htl:dispitem item="dayTo"/></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">タイトル</td>
       <td class="Rect"><htl:dispitem item="contents"/></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">内容</td>
       <td class="Rect"><htl:dispitem item="detail" nl2br="yes"/></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">管理者</td>
       <td class="Rect"><htl:dispitem item="managerName"/></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">対象グループ</td>
       <td class="Rect"><htl:dispitem item="groupName"/></td>
     </tr>
     <% if ("1".equals(mgr)) { %>
     <tr>
       <td class="titleDt" nowrap width="15%">確認</td>
       <td class="Rect">
          <button name="regfoot" onclick="listAnsInf(); return false;"><font size="-1">回答状況</font></button>
          &nbsp;&nbsp;&nbsp;
          <button name="regfoot" onclick="listNotAns(); return false;"><font size="-1">未回答者一覧</font></button>
       </td>
     </tr>
     <% } %>
    </table>
    </div>
    <%
    String ans = "";
    if ("1".equals(MessageUtil.getItem(commonMessage, "answer", false)))
      ans = "回答済み";
    String dis = "# ";
    if (!"1".equals(pans)) dis = "# disabled";
    String typ = "#radio";
    if ("1".equals(MessageUtil.getItem(commonMessage, "multiFlg", false)))
      typ = "#checkbox";
    %>
	  <div id="waku">
	  <table align="center" class="ViewTable"  width="100%" border="0" cellpadding="0" cellspacing="1" >
	    <tr>
	      <td class="listTitle" colspan="2">アンケート項目 <font color="red"><%= ans %></font></td>
	    </tr>
	    <htl:listItems fld0="qSeq" fld1="qcontens" fld2="qanswer" fld3="<%= typ %>"
	    fld4="<%= dis %>">
	      <tr>
	        <td noWrap width="20px" align="left">${fld0}</td>
	        <td><input type="${fld3}" name="qSeqNo" value="${fld0}"${fld4}${fld2}> ${fld1}</td>
	      </tr>
	    </htl:listItems>
      <% if ("1".equals(MessageUtil.getItem(commonMessage, "saysFlg", false))) { %>
      <tr>
       <td class="titleDt" nowrap width="20px">ご意見</td>
        <% if ("1".equals(pans)) { %>
       <td class="Rect"><htl:textarea item="says" cols="50" rows="10"/></td>
        <% } else { %>
       <td class="Rect"><htl:dispitem item="says" nl2br="yes"/></td>
        <% } %>
      </tr>
      <% } %>
	  </table>
	  </div>
  </div>
  <br>
  <%
    StringBuilder url = new StringBuilder();
    url.append(ActionVal);
    url.append("?pluginId=");
    url.append(PLG_ID);
    url.append("&processId=append&action=list&pageAction=get");
    url.append("&category=");
    url.append(MessageUtil.getItem(commonMessage, "docKbn", false));
    url.append("&keySeq=");
    url.append(MessageUtil.getItem(commonMessage, "seqNo", false));
    url.append("&managerFlg=");
    url.append(MessageUtil.getItem(commonMessage, "managerFlg", false));
    url.append("&updateFlg=");
    url.append(MessageUtil.getItem(commonMessage, "updateFlg", false));
    String surl = url.toString();
  %>
  <iframe src="<%= surl %>" name="AppendFileList"
             width="100%" height="150" frameborder="0" scrolling="auto"></iframe>

  <span id="tempArea" style="display: none"></span>

</form>
</body>
</html>