<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * アンケート一覧表示画面 (EnqueteList.jsp)
 *
 * version:      0.1, 2011.3.25 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Enquete List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    function add() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.action.value = "addIni";
      document.mainForm.submit();
    }

    function dtl(ps) {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.pos.value = ps;
      document.mainForm.action.value = "detail";
      document.mainForm.submit();
    }

    function retrieve() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.pageAction.value = "get";
      document.mainForm.submit();
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="enquete" act="list" pageact="get" />

  <input type="hidden" name="ract" value="list"/>

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle" colspan="4">アンケート一覧</td>
      <td align="right">
        <table class="button">
          <tr>
            <td align="center" nowrap><a href="#" onclick="add(); return false;">${hfn:getMsg("btn.add")}</a></td>
          </tr>
        </table>
      </td>
    </tr>
    <%
      String ans = "";
      String psb = "";
      if (keyList != null) {
        if ("1".equals(keyList.getRetrieve("sans"))) ans = " checked";
        if ("1".equals(keyList.getRetrieve("sPossibleAnswers"))) psb = " checked";
      }
    %>
    <tr class="input">
      <td class="titleDt" nowrap>登録者</td>
      <td class="Rect"><htl:keyfld item="sentryName" size="10" maxlength="20"/><font size='-1'>*前方一致</font></td>
      <td class="Rect"><input type="checkbox" name="sans" value="1"<%= ans %>>回答済みは除く</td>
      <td class="Rect"><input type="checkbox" name="sPossibleAnswers" value="1"<%= psb %>>期限切れは除く</td>
      <td align="right">
        <table class="button">
          <tr><td align="center" nowrap><a href="#" onclick="retrieve(); return false;">${hfn:getMsg("btn.search")}</a></td></tr>
        </table>
      </td>
    </tr>
  </table>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <tr>
      <th nowrap width="100px" class="ListTitle">登録者</th>
      <th nowrap class="ListTitle">タイトル</th>
      <th nowrap width="60px" class="ListTitle">回答済み</th>
      <th nowrap width="30px" class="ListTitle">&nbsp;</th>
    </tr>
    <htl:listItems fld0="entry" fld1="contents" fld2="<%= POS_NM %>" fld3="answer">
      <tr>
        <td width="100px" align="left">${fld0}&nbsp;</td>
        <td>${fld1}</td>
        <td nowrap width="60px" align="center"><font size="-1">${fld3}</font></td>
        <td nowrap width="30px" align="center"><a href="#" onclick="dtl('${fld2}');return false;">
          <font size="-1">詳細</font></a></td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>

</form>
</body>
</html>