<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * 管理者用連絡情報一覧表示画面 (CommunicationList.jsp)
 *
 * version:      0.1, 2011.04.02 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Manager Communication List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
	  var C_DIALOG_OPT = "status:false;dialogWidth:650px;dialogHeight:620px";
	  function dtl(ps) {
      if(isClick == true){
        return;
      }
      isClick = true;
	    url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=managerComm&action=detail";
	    url += "&pos=";
	    url += ps;
	    retVal = showModalDialog(url, null, C_DIALOG_OPT);
      isClick = false;
	  }

    function delet(typ, seq, pact) {
      if(isClick == true){
        return;
      }
      if (!confirm("削除します。\n  よろしいですか？")) return false;
      isClick = true;
      document.mainForm.delType.value = typ;
      document.mainForm.seqNo.value = seq;
      document.mainForm.action.value = "delete";
      document.mainForm.rpact.value = pact;
      document.mainForm.submit();
    }

    function itemSel(typ) {
      if(isClick == true){
        return;
      }
      isClick = true;
      ret = commonSelect("<%= MAIN_ID %>","管理者選択","V_USER_SEL","0","0","0","","",
                               "smanager","smanagerName","","","","");
      isClick = false;
    }

    function retrieve() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.pageAction.value = "get";
      document.mainForm.submit();
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="managerComm" act="list" pageact="get" />

  <input type="hidden" name="delType" value="only"/>
  <input type="hidden" name="seqNo" value=""/>
  <input type="hidden" name="ret" value="ret"/>

  <input type="hidden" name="rpid" value="managerComm"/>
  <input type="hidden" name="ract" value="list"/>
  <input type="hidden" name="rpact" value="same"/>

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle" colspan="4">連絡情報一覧</td>
      <td align="right" colspan="2"><font size="-1">検索されたデータを</font></td>
      <td align="right">
        <table class="button">
          <tr>
            <td align="center" nowrap><a href="#" onclick="delet('all', '', 'reget'); return false;">一括削除</a></td>
          </tr>
        </table>
      </td>
    </tr>
    <tr class="input">
      <td class="titleDt" nowrap>掲載日</td>
      <td class="Rect">
        <htl:keyfld item="sdayf" cls="textNum" size="7" maxlength="10" attr="readonly"/>以前
        <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="calendarClick('sdayf'); return false;">
      </td>
      <td class="titleDt" nowrap>登録者</td>
      <td class="Rect"><htl:keyfld item="sentryName" size="10" maxlength="20"/><font size='-1'>*前方一致</font></td>
      <td class="titleDt" nowrap>管理者</td>
      <td class="Rect" colspan="2">
        <htl:keyfld item="smanagerName" size="10" attr="readonly"/>
        <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="itemSel(); return false;">
        <htl:hidden item="smanager"/>
      </td>
    </tr>
    <tr class="input">
      <td class="titleDt" nowrap>終了日</td>
      <td class="Rect">
        <htl:keyfld item="sdayt" cls="textNum" size="7" maxlength="10" attr="readonly"/>以前
        <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="calendarClick('sdayt'); return false;">
      </td>
      <td class="titleDt" nowrap>文字列</td>
      <td class="Rect"><htl:keyfld item="sval" size="10" maxlength="50"/><font size='-1'>*中間一致</font></td>
      <td class="titleDt" nowrap>種別</td>
      <td class="Rect">
        <select name="sgener">
          <option value="">指定なし</option>
          <htl:db2opt item="sgener" table="M_GENRE" pid="<%= PLG_ID %>" dbkey="hsmpl" keyColumn="GENRE_ID" dispColumn="GENRE_NAME"/>
        </select>
      </td>
      <td align="right">
        <table class="button">
          <tr><td><a href="#" onclick="retrieve(); return false;">${hfn:getMsg("btn.search")}</a></td></tr>
        </table>
      </td>
    </tr>
  </table>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <tr>
      <th nowrap width="100px" class="ListTitle">登録者</th>
      <th nowrap width="80px" class="ListTitle">種別</th>
      <th nowrap class="ListTitle">タイトル</th>
      <th nowrap width="35px" class="ListTitle">確認</th>
      <th nowrap width="35px" class="ListTitle">削除</th>
    </tr>

    <htl:listItems fld0="entryName" fld1="generName" fld2="contents" fld3="color"
     fld4="footprints" fld5="seqNo" fld6="<%= POS_NM %>">
      <tr>
        <td width="100px" align="left">${fld0}&nbsp;</td>
        <td noWrap width="80px" align="left">${fld1}&nbsp;</td>
        <td><font color="${fld3}">${fld2}</font></td>
        <td nowrap width="35px" align="center"><a href="#" onclick="dtl('${fld6}');return false;">
          <font size="-1">詳細</font></a></td>
        <td nowrap width="35px" align="center"><a href="#" onclick="delet('only', '${fld5}', 'same'); return false;">
          <font size="-1">削除</font></a></td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>

</form>
</body>
</html>