<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  管理者用独り言一覧表示画面(SoliloquyList.jsp)
 *
 * version:      0.1, 2011.04.08 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<HEAD>
  <META HTTP-EQUIV="Content-Type" CONTENT="text/html;CHARSET=utf-8">
  <META NAME="Author" Content="Hamanaka">
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">
  <TITLE>Manager SoliloquyList List</TITLE>

  <script src="<%= JS_DIR %>AjaxUtil.js"></script>
  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:650px;dialogHeight:600px";
    function del(typ, seq, pact) {
      if(isClick == true){
        return;
      }
      if (!confirm("削除します。\n  よろしいですか？")) return false;
      isClick = true;
      document.mainForm.delType.value = typ;
      document.mainForm.seqno.value = seq;
      document.mainForm.action.value = "delete";
      document.mainForm.rpact.value = pact;
      document.mainForm.submit();
    }

    function itemSel(id, disp) {
      if(isClick == true){
        return;
      }
      isClick = true;
      ret = commonSelect("<%= MAIN_ID %>","登録者選択","V_USER_SEL","0","0","0","","",
                               id, disp,"","","","");
      isClick = false;
    }

    function retrieve() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.pageAction.value = "get";
      document.mainForm.submit();
    }
  </script>
</HEAD>
<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body>
<FORM name="mainForm" ACTION="<%= ActionVal %>" METHOD="POST" ENCTYPE="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="manageSolil" act="list" pageact="get" />

  <input type="hidden" name="delType" value="only"/>
  <input type="hidden" name="seqno" value=""/>
  <input type="hidden" name="ret" value="ret"/>

  <input type="hidden" name="rpid" value="manageSolil"/>
  <input type="hidden" name="ract" value="list"/>
  <input type="hidden" name="rpact" value="same"/>

  <input type="hidden" name="rtyp" value="1">
  <%-- タイトル --%>
  <htl:rectPre>
  <table width="100%" border="0" cellpadding="3" cellspacing="0">
    <tr>
      <td class="MainTitle" colspan="4">独り言一覧</td>
      <td align="right" colspan="2"><font size="-1">検索されたデータを</font></td>
      <td align="right">
        <table class="button">
          <tr>
            <td align="center" nowrap><a href="#" onclick="del('all', '', 'reget'); return false;">一括削除</a></td>
          </tr>
        </table>
      </td>
    </tr>
    <tr class="input">
      <td class="titleDt" nowrap>登録者</td>
      <td class="Rect">
        <htl:keyfld item="suserName" size="10" attr="readonly"/>
        <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="itemSel('suser' ,'suserName'); return false;">
        <htl:hidden item="suser"/>
      </td>
      <td class="titleDt" nowrap>登録日</td>
      <td class="Rect">
        <htl:keyfld item="sdayFrom" cls="textNum" size="7" maxlength="10" attr="readonly"/>
        <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="calendarClick('sdayFrom'); return false;">
        ～
        <htl:keyfld item="sdayTo" cls="textNum" size="7" maxlength="10" attr="readonly"/>
        <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="calendarClick('sdayTo'); return false;">
      </td>
      <td class="titleDt" nowrap>内容</td>
      <td class="Rect">
        <htl:keyfld item="sval" size="10" maxlength="20"/><font size='-1'>*中間一致</font>
      </td>
      <td align="right">
        <table class="button">
          <tr><td align="center" nowrap><a href="#" onclick="retrieve(); return false;">${hfn:getMsg("btn.search")}</a></td></tr>
        </table>
      </td>
    </tr>
  </table>
  <font color="red"><b><%= message[0] %></b></font>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="100%" border="0" cellpadding="1" cellspacing="1" >
  <%
    for (Map<String,String> dt : commonMessage) {
      int pno = Integer.parseInt(dt.get(POS_NM));
      String seq = dt.get("seqno");
  %>
      <tr>
        <td align="left">(<htl:listdsp name="entryDate" mpos="<%= dt %>" />)
        <htl:listdsp name="entryName" mpos="<%= dt %>" /></td>
        <td noWrap width="35px" align="center"><a href="#" onclick="del('only','<%= seq %>','same');return false;">
          <font size="-1">削除</font></a></td>
      </tr>
      <tr><td colspan="2"><htl:listdsp name="detail" mpos="<%= dt %>" nocnv="yes"/></td></tr>
    <% } %>
  </table>
  </div>
  </div>

</FORM>
</body>

</HTML>